Get a currency offer
curl --request GET \
--url https://api.gameboost.com/v2/currency-offers/{currencyOffer} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.gameboost.com/v2/currency-offers/{currencyOffer}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.gameboost.com/v2/currency-offers/{currencyOffer}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": 123,
"uuid": "<string>",
"external_id": "<string>",
"game": {
"id": 123,
"name": "<string>",
"slug": "<string>"
},
"currency_unit": {
"slug": "<string>",
"currency_name": "<string>",
"name": "<string>",
"symbol": "<string>",
"multiplier": 123
},
"title": "<string>",
"description": "<string>",
"parameters": {},
"base_currency": "EUR",
"delivery_time": {
"duration": 123,
"format": "<string>",
"format_long": "<string>",
"seconds": 123
},
"delivery_instructions": "<string>",
"excluded_delivery_fields": [],
"delivery_method_data": {},
"stock": 123,
"min_quantity": 123,
"price_eur": "<string>",
"price_usd": "<string>",
"views": 123,
"is_best_offer": true,
"icon_url": "<string>",
"created_at": 123,
"updated_at": 123,
"listed_at": 123
}
}{
"message": "Unauthenticated."
}{
"message": "This action is unauthorized."
}{
"message": "Resource not found."
}{
"message": "Too many requests."
}Currency Offers
Get a currency offer
Retrieve detailed information about a specific currency offer including pricing, stock availability, and delivery details.
GET
/
v2
/
currency-offers
/
{currencyOffer}
Get a currency offer
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
The ID of the currency offer. Can be retrieved from the list of currency offers.
Response
A single currency offer
Currency offer object representing in-game currency for sale
Show child attributes
Show child attributes
Was this page helpful?
⌘I